PDA

View Full Version : Do I need G4+ Iphone to play this game?



SaintHedgehog
01-05-2016, 12:45 AM
Just as the title says

UbiVertigo
01-07-2016, 01:25 AM
Hi SaintHedgehog,

Asteroid Miner requires iOS 8.0+.